@echo off
echo Extract Global station daily data
echo Created using land synoptic and

 metar data
echo Precipitation, maximum and minimum temperature
echo Data available from 20000101 up to 2 or 3 days before present
echo If ILWIS reports error message "File not found"
echo Abort application and close ILWIS and restart ILWIS
echo Note if ILWIS starts in your active working directory!
echo Start application again
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,8%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" ftp://ftp.cpc.ncep.noaa.gov/fews/gts/qzfl_%shortfilename1%.dat.gz

echo off
if not exist "%OutputDrive%\%OutputDir%\qzfl_%shortfilename1%.dat.gz"  goto MESSAGE
echo The file(s) "qzfl_%shortfilename1%.dat.gz" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from ftp://ftp.cpc.ncep.noaa.gov/fews/gts/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

"%UtilDir%\7z.exe" e qzfl_%shortfilename1%.dat.gz



"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\gts_%shortfilename1%.tbt=table(%OutputDrive%\%OutputDir%\qzfl_%shortfilename1%.dat,Fixed,Convert,none,8,Date(value.dom{20000101:20201231:1}),6,Station_ID(string),4,Call_Letters(string),7,Latitude(value.dom{-9000:9000:1}),6,Longitude(value.dom{0:36000:1}),5,Elevation(value.dom{-1000:10000:1}),5,Max_Temp(value.dom{-1000:1000:1}),2,Max_Temp_flag(value.dom{-10:10:1}),4,Min_Temp(value.dom{-1000:1000:1}),2,Min_Temp_flag(value.dom{-10:10:1}),4,Reported_prcp(value.dom{-1000:1000:1}),1,First_prcp_flag(value.dom{-10:10:1}),1,Second_prcp_flag(value.dom{-10:10:1}),1,Prcp_Trace_indicator(string),8,WX_character(string),2,Number_obs(value.dom{-10:10:1}),2,Number_obs_w_Prcp(value.dom{-10:10:1}),4,Reported_Prcp(value.dom{-10:1000:1}),4,Estimated_Prcp(value.dom{-10:1000:1}),2,Number_est_6hr_periods(value.dom{-10:10:1}))

"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\gts_%shortfilename1%.tbt Y{dom=value;vr=-90.0:90.0:0.01}:=latitude/100;
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\gts_%shortfilename1%.tbt X_temp1{dom=value;vr=0.0:360.0:0.01}:=longitude/100;
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\gts_%shortfilename1%.tbt X_temp2{dom=value;vr=-360.0:360.0:0.01}:=X_temp1-2*X_temp1;
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\gts_%shortfilename1%.tbt X{dom=value;vr=-180.0:180.0:0.01}:=iff(x_temp2 le -180,x_temp2+360,x_temp2);
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\gts_%shortfilename1%.tbt Max_Temp_C{dom=value;vr=-99.99:100.0:0.01}:=iff(max_temp gt -999,max_temp/10,?);
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\gts_%shortfilename1%.tbt Min_Temp_C{dom=value;vr=-99.99:100.0:0.01}:=iff(min_temp gt -999,min_temp/10,?);
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\gts_%shortfilename1%.tbt Prcp_mm{dom=value;vr=0.0:500.0:0.1}:=reported_prcp/10;
"%IlwDir%\ilwis.exe" -C tabcalc %OutputDrive%\%OutputDir%\gts_%shortfilename1%.tbt Prcp_mmMore0{dom=value;vr=0.0:500.0:0.1}:=iff(Prcp_mm gt 0, Prcp_mm,?);


del qzfl_%shortfilename1%.*

:END
"%IlwDir%\ilwis.exe" -C closeall
