@echo off
echo Import JRC IES precipitation data
echo Rainfall (mm) 
echo Global dekadal rainfall
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,8%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%




echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/int/africa/rain/int_africa_rain_%shortfilename1%.zip"
"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/int/europe/rain/int_europe_rain_%shortfilename1%.zip"
"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/int/asia/rain/int_asia_rain_%shortfilename1%.zip"
"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/int/pacific/rain/int_pacific_rain_%shortfilename1%.zip"
"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/int/south-america/rain/int_south-america_rain_%shortfilename1%.zip"
"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/int/north-america/rain/int_north-america_rain_%shortfilename1%.zip"


echo off
if not exist "%OutputDrive%\%OutputDir%\int_africa_rain_%shortfilename1%.zip"  goto MESSAGE
echo The file(s) "%OutputDrive%\%OutputDir%\int_africa_rain_%shortfilename1%.zip" will be copied to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from http://spirits.jrc.ec.europa.eu/files/ecmwf/int/africa/rain
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\int_africa_rain_%shortfilename1%.zip
"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\int_europe_rain_%shortfilename1%.zip
"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\int_asia_rain_%shortfilename1%.zip
"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\int_pacific_rain_%shortfilename1%.zip
"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\int_south-america_rain_%shortfilename1%.zip
"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\int_north-america_rain_%shortfilename1%.zip

"%gdalDir%\gdal_translate" -of ilwis int_africa_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\int_africa_rain_%shortfilename1%.mpr"
"%gdalDir%\gdal_translate" -of ilwis int_europe_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\int_europe_rain_%shortfilename1%.mpr"
"%gdalDir%\gdal_translate" -of ilwis int_asia_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\int_asia_rain_%shortfilename1%.mpr"
"%gdalDir%\gdal_translate" -of ilwis int_pacific_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\int_pacific_rain_%shortfilename1%.mpr"
"%gdalDir%\gdal_translate" -of ilwis int_north-america_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\int_north_america_rain_%shortfilename1%.mpr"
"%gdalDir%\gdal_translate" -of ilwis int_south-america_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\int_south_america_rain_%shortfilename1%.mpr"

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\MARS_int_rain_global%shortfilename1%'.mpr:=MapGlue('%UtilDir%\MARS_global'.grf,int_africa_rain_%shortfilename1%,int_asia_rain_%shortfilename1%,int_europe_rain_%shortfilename1%,int_north_america_rain_%shortfilename1%,int_south_america_rain_%shortfilename1%,int_pacific_rain_%shortfilename1%,replace)

del int_africa_rain_%shortfilename1%.zip
del int_africa_rain_%shortfilename1%.img
del int_africa_rain_%shortfilename1%.hdr
del int_africa_rain_%shortfilename1%.mp*
del int_africa_rain_%shortfilename1%.csy
del int_africa_rain_%shortfilename1%.grf

del int_europe_rain_%shortfilename1%.zip
del int_europe_rain_%shortfilename1%.img
del int_europe_rain_%shortfilename1%.hdr
del int_europe_rain_%shortfilename1%.mp*
del int_europe_rain_%shortfilename1%.csy
del int_europe_rain_%shortfilename1%.grf

del int_asia_rain_%shortfilename1%.zip
del int_asia_rain_%shortfilename1%.img
del int_asia_rain_%shortfilename1%.hdr
del int_asia_rain_%shortfilename1%.mp*
del int_asia_rain_%shortfilename1%.csy
del int_asia_rain_%shortfilename1%.grf

del int_pacific_rain_%shortfilename1%.zip
del int_pacific_rain_%shortfilename1%.img
del int_pacific_rain_%shortfilename1%.hdr
del int_pacific_rain_%shortfilename1%.mp*
del int_pacific_rain_%shortfilename1%.csy
del int_pacific_rain_%shortfilename1%.grf

del int_north-america_rain_%shortfilename1%.zip
del int_north-america_rain_%shortfilename1%.img
del int_north-america_rain_%shortfilename1%.hdr
del int_north_america_rain_%shortfilename1%.mp*
del int_north_america_rain_%shortfilename1%.csy
del int_north_america_rain_%shortfilename1%.grf


del int_south-america_rain_%shortfilename1%.zip
del int_south-america_rain_%shortfilename1%.img
del int_south-america_rain_%shortfilename1%.hdr
del int_south_america_rain_%shortfilename1%.mp*
del int_south_america_rain_%shortfilename1%.csy
del int_south_america_rain_%shortfilename1%.grf

:END
"%IlwDir%\ilwis.exe" -C closeall