@echo off
echo Import of SRTM Version 4 data
echo Here data is retrieved from ftp://xftp.jrc.it/pub/srtmV4/tiff/
echo Alternatively data can be retrieved from ftp://srtm.csi.cgiar.org/SRTM_V41/SRTM_Data_GeoTiff/
echo Alternatively data can be retrieved from http://droppr.org/srtm/v4.1/6_5x5_TIFs/
echo Links can be activated by un-remarking line in batch file 'SRTM4_import'
echo Data is 5 by 5 degree
echo Data downloaded is in geotif format
echo Filename input convention srtm_MinX_MinY.zip
echo Select the lower left X coordinate in degree from W180 to E180
echo Select the lower left Y coordinate in degree from S60 to N60
echo.
echo.
echo Import routine assumes the 5 by 5 degree tiles
echo Two parameters are required related to the lower XY of the tile to be extracted

echo Input string required is N00E000 or S00W000 referring to lower left corner


set longfilename=%1
set shortfilename1=%longfilename:~4,3%
set shortfilename2=%longfilename:~1,2%
set shortfilename3=%longfilename:~3,1%
set shortfilename4=%longfilename:~0,1%
set shortfilename5=%longfilename:~5,2%
set shortfilename6=%longfilename:~4,1%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%


if %shortfilename6% equ 0 (
set shortfilename1=%shortfilename5%
)

if %shortfilename3% equ w (
set shortfilename1=-%shortfilename1%
)


if %shortfilename4% equ s (
set shortfilename2=-%shortfilename2%
)


if %shortfilename3% equ W (
set shortfilename1=-%shortfilename1%
)


if %shortfilename4% equ S (
set shortfilename2=-%shortfilename2%
)


set /A MinX=((180+%shortfilename1%+5)/5)
rem echo MinX=%MinX%
set /A MinY=(60-%shortfilename2%)/5
rem echo MinY=%MinY%

if %MinX% LEQ 9 (
set MinX=0%MinX%
)


if %MinY% LEQ 9 (
set MinY=0%MinY%
)

echo.
echo.
echo Your STRM tile eastings specification entered = %shortfilename1%
echo Your STRM tile northings specification entered =%shortfilename2%
echo Corresponding STRM tile index number easting = %MinX%
echo Corresponding STRM tile index number northing = %MinY%
echo.
echo Your current SRTM Tile specification = srtm_%MinX%_%MinY%
echo Your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget" http://droppr.org/srtm/v4.1/6_5x5_TIFs/srtm_%MinX%_%MinY%.zip
rem "%UtilDir%\wget\wget" ftp://srtm.csi.cgiar.org/SRTM_V41/SRTM_Data_GeoTiff/srtm_%MinX%_%MinY%.zip
rem "%UtilDir%\wget\wget" ftp://xftp.jrc.it/pub/srtmV4/tiff/srtm_%MinX%_%MinY%.zip

echo off
if not exist "%OutputDrive%\%OutputDir%\srtm_%MinX%_%MinY%.zip"  goto MESSAGE
echo The file(s) "srtm_%MinX%_%MinY%.zip" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Window Coordinate settings
echo Your current Window Coordinate used is %MinX%_%MinY%
echo Data is retrieved by default from http://droppr.org/srtm/v4.1/6_5x5_TIFs/
echo Links to other SRTM mirror sites is provided in the batch file 'SRTM4_import
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

ren srtm_%MinX%_%MinY%.zip srtm_Tile_%MinX%_%MinY%.zip

"%UtilDir%\7z.exe" e srtm_Tile_%MinX%_%MinY%.zip


"%gdalDir%\gdal_translate" -of ilwis srtm_%MinX%_%MinY%.tif srtm_%longfilename%.mpr


del %OutputDrive%\%OutputDir%\srtm_%MinX%_%MinY%.tif
del %OutputDrive%\%OutputDir%\srtm_%MinX%_%MinY%.hdr
del %OutputDrive%\%OutputDir%\srtm_%MinX%_%MinY%.tfw
del %OutputDrive%\%OutputDir%\readme.txt
del %OutputDrive%\%OutputDir%\srtm_Tile_%MinX%_%MinY%.zip
del %OutputDrive%\%OutputDir%\srtm_%longfilename%.mpr.aux.xml


:END
"%IlwDir%\ilwis.exe" -C closeall
