@echo off 
echo TAMSAT RFE climatology of monthly rainfall in mm
echo From archive 
echo Climatology based on 1983-2012 data
echo File name convention for zip file TAMSAT_clim_monthly.zip
echo 12 months
echo File name convention for month rfe1983-2012_01_clim.nc
echo Routine calls TAMSAT_mth_clim_loop.bat
echo.
echo.

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8



cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

echo set OutputDrive=%4>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
echo set gdalDir=%6>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat


"%UtilDir%\wget\wget.exe" http://tamsat.org.uk/public_data/TAMSAT_clim_monthly.zip

echo off
if not exist "%OutputDrive%\%OutputDir%\TAMSAT_clim_monthly.zip"  goto MESSAGE
echo The file(s) "TAMSAT_clim_monthly.zip" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from http://tamsat.org.uk/public_data/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

"%UtilDir%\7z.exe" e TAMSAT_clim_monthly.zip 

del TAMSAT_Data_Policy_*.pdf
del rfe1983*_clim.png

copy "%utildir%\maps\rfeland_mask1.zip"

"%utildir%\7z" e rfeland_mask1.zip 

copy %IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\TAMSAT_mth_clim_loop.bat

for %%j in (rfe1983-2012_*_clim.nc) do cmd /c TAMSAT_mth_clim_loop.bat %%j

del rfeland_mask1.*
del africaland_mask1.*
del inputparam.bat
del TAMSAT_mth_clim_loop.bat
del TAMSAT_clim_monthly.zip
del rfe1983-2012_*_clim.nc


:END
"%IlwDir%\ilwis.exe" -C closeall