@echo off
echo Extract CMORPH Global Precipitation
echo Archive of a month per download
echo Bias corrected and gauge - satellite blended precipitation product from 1998 to 2013
echo New location is ftp://ftp.cpc.ncep.noaa.gov/precip/CMORPH_V1.0/CRT/8km-30min/
echo Example is ftp://ftp.cpc.ncep.noaa.gov/precip/CMORPH_V1.0/CRT/8km-30min/1998/CMORPH_V1.0_ADJ_8km-30min_199801.tar
echo After extraction file name is CMORPH_V1.0_ADJ_8km-30min_1998010100
echo Precipitation in mm/hr
echo Data extracted per month!
echo Note long processing time!
echo 30 min temporal interval!


rem file name convention CMORPH_V1.0_ADJ_8km-30min_1998010123

echo.
echo.


set longfilename=%1
set shortfilename1=%longfilename:~0,8%
set shortfilename2=%longfilename:~0,4%
set shortfilename3=%longfilename:~4,2%
set OutputDrive=%4
set OutputDir=%5
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

echo set OutputDrive=%4>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat


@echo on

"%UtilDir%\wget\wget.exe" ftp://ftp.cpc.ncep.noaa.gov/precip/CMORPH_V1.0/CRT/8km-30min/%shortfilename2%/CMORPH_V1.0_ADJ_8km-30min_%shortfilename2%%shortfilename3%.tar



echo off
rem if not exist "%OutputDrive%\%OutputDir%\CMORPH_V1.0_ADJ_8km-30min_%shortfilename2%%shortfilename3%.tar"  goto MESSAGE
echo The file(s) "CMORPH_V1.0_ADJ_8km-30min_%shortfilename2%%shortfilename3%.tar" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from ftp://ftp.cpc.ncep.noaa.gov/precip/CMORPH_V1.0/CRT/8km-30min/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START



"%UtilDir%\7z.exe" e CMORPH_V1.0_ADJ_8km-30min_%shortfilename2%%shortfilename3%.tar

rd %shortfilename2%%shortfilename3%

for %%j in (CMORPH_V1.0*.bz2) do cmd /c "%UtilDir%\7z.exe" e %%j

del CMORPH_V1.0_ADJ_8km-30min_%shortfilename2%%shortfilename3%.tar
del cmorph_v1.0_ADJ_8km-30min_%shortfilename2%%shortfilename3%*.bz2
copy %IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\cpc_cmorph_8km_30min_crt.bat

for %%j in (CMORPH_V1.0_ADJ_8km-30min_*) do cmd /c cpc_cmorph_8km_30min_crt.bat %%j

del "%OutputDrive%\%OutputDir%\cpc_cmorph_8km_30min_crt.bat"
:END

del "%OutputDrive%\%OutputDir%\inputparam.bat"


"%IlwDir%\ilwis.exe" -C closeall