@echo off
echo Extract CPC Gauge-Based Analysis of Global Daily Precipitation 
echo Data from 20090101 onwards
echo Data is not compressed
echo Analyzed field of daily precipitation in 0.1mm
echo File name format PRCP_CU_GAUGE_V1.0GLB_0.50deg.lnx.20061231.RT
echo 2  layers extracted
echo Number of gauges available in each 0.5deg lat/lon grid box not furhter processed and deleted
echo.
echo.  

set longfilename=%1
set shortfilename1=%longfilename:~0,8%
set shortfilename2=%longfilename:~0,4%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%


echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" ftp://ftp.cpc.ncep.noaa.gov/precip/CPC_UNI_PRCP/GAUGE_GLB/RT/%shortfilename2%/PRCP_CU_GAUGE_V1.0GLB_0.50deg.lnx.%shortfilename1%.RT

echo off
if not exist "%OutputDrive%\%OutputDir%\PRCP_CU_GAUGE_V1.0GLB_0.50deg.lnx.%shortfilename1%.RT"  goto MESSAGE
echo The file(s) "PRCP_CU_GAUGE_V1.0GLB_0.50deg.lnx.%shortfilename1%.RT" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from ftp://ftp.cpc.ncep.noaa.gov/precip/CPC_UNI_PRCP/GAUGE_GLB/RT/%shortfilename2%/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

ren "PRCP_CU_GAUGE_V1.0GLB_0.50deg.lnx.%shortfilename1%.RT" tPgauge_%shortfilename1%

rem import as maplist

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tPgauge_%shortfilename1%.mpl:=maplist('%OutputDrive%\%OutputDir%\tPgauge_%shortfilename1%',genras,Convert,720,2,0,BSQ,Real,4,NoSwap,CreateMpr)

rem delete unnecessary layers and maplist

del tPgauge_%shortfilename1%
del tPgauge_%shortfilename1%.mpl
del tPgauge_%shortfilename1%2.mp* 

rem mirror rotate map
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\trPgauge_%shortfilename1%1.mpr:=MapMirrorRotate(%OutputDrive%\%OutputDir%\tPgauge_%shortfilename1%1,MirrHor)

rem create subset maps

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ttrPgauge_%shortfilename1%1_east.mpr:=MapSubMap('%OutputDrive%\%OutputDir%\trPgauge_%shortfilename1%1',1,1,360,360)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ttrPgauge_%shortfilename1%1_west.mpr:=MapSubMap('%OutputDrive%\%OutputDir%\trPgauge_%shortfilename1%1',1,361,360,360)

rem add submap georef

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\ttrPgauge_%shortfilename1%1_east.mpr %UtilDir%\cpc_P05d_east
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\ttrPgauge_%shortfilename1%1_west.mpr %UtilDir%\cpc_P05d_west

rem glue maps using georef global

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ttrPgauge_%shortfilename1%1_recomposed.mpr:=MapGlue('%UtilDir%\cpc_P05d'.grf,%OutputDrive%\%OutputDir%\ttrPgauge_%shortfilename1%1_west,%OutputDrive%\%OutputDir%\ttrPgauge_%shortfilename1%1_east,replace)



rem extract rainfall in mm

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\CPC_Pgauge_%shortfilename1%'.mpr{dom=value;vr=0:10000:0.01}:=iff(%OutputDrive%\%OutputDir%\ttrPgauge_%shortfilename1%1_recomposed gt -999,%OutputDrive%\%OutputDir%\ttrPgauge_%shortfilename1%1_recomposed*0.1,?)


rem delete obsolete objects

del tPgauge_%shortfilename1%1.mp*
del ttrPgauge_%shortfilename1%*.mp*
del trPgauge_%shortfilename1%*.mp*


:END
"%IlwDir%\ilwis.exe" -C closeall