@echo off
echo Extract TRMM day esitmates
echo rolling archive
echo precipitation
echo file name format 3B42_daily.1998.01.01.7.bin
echo data from ftp://disc2.nascom.nasa.gov/data/TRMM/Gridded/Derived_Products/3B42_V7/Daily
echo.
echo.
 

set longfilename=%1
set shortfilename1=%longfilename:~0,8%
set shortfilename2=%longfilename:~0,4%
set shortfilename3=%longfilename:~4,2%
set shortfilename4=%longfilename:~6,2%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" ftp://disc2.nascom.nasa.gov/data/TRMM/Gridded/Derived_Products/3B42_V7/Daily/%shortfilename2%/3B42_daily.%shortfilename2%.%shortfilename3%.%shortfilename4%.7.bin


echo off
if not exist "%OutputDrive%\%OutputDir%\3B42_daily.%shortfilename2%.%shortfilename3%.%shortfilename4%.7.bin"  goto MESSAGE
echo The file(s) "3B42_daily.%shortfilename2%.%shortfilename3%.%shortfilename4%.7.bin" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from ftp://disc2.nascom.nasa.gov/data/TRMM/Gridded/Derived_Products/3B42_V7/Daily/%shortfilename2%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

echo Wait till processing is completed.....

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tttrmm_%shortfilename1%.mpr:=map('%OutputDrive%\%OutputDir%\3B42_daily.%shortfilename2%.%shortfilename3%.%shortfilename4%.7.bin',genras,Convert,1440,0,Real,4,Swap)


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\3B42_%shortfilename1%r180.mpr:=MapMirrorRotate(%OutputDrive%\%OutputDir%\tttrmm_%shortfilename1%,Rotate180)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\trmm_day3B42_%shortfilename1%.mpr:=MapMirrorRotate(%OutputDrive%\%OutputDir%\3B42_%shortfilename1%r180,MirrVert)


rem create submap of global map
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ttrmm_%shortfilename1%1.mpr:=MapSubMap('%OutputDrive%\%OutputDir%\trmm_day3B42_%shortfilename1%',1,1,400,1440)

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\east.mpr:=MapSubMap(%OutputDrive%\%OutputDir%\ttrmm_%shortfilename1%1,1,1,400,720)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\west.mpr:=MapSubMap(%OutputDrive%\%OutputDir%\ttrmm_%shortfilename1%1,1,721,400,720)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\east.mpr %UtilDir%\trmm_east1
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\west.mpr %UtilDir%\trmm_west1

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\strmm_%shortfilename1%.mpr:=MapGlue(%OutputDrive%\%OutputDir%\east,%OutputDrive%\%OutputDir%\west,replace)

rem add submap georef

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\strmm_%shortfilename1%.mpr %UtilDir%\trmm_3b42_025d

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\trmm_%shortfilename1%:=iff(%OutputDrive%\%OutputDir%\strmm_%shortfilename1% gt -999,%OutputDrive%\%OutputDir%\strmm_%shortfilename1%,?)


rem delete obsolete objects

del 3B42_daily.%shortfilename2%.%shortfilename3%.%shortfilename4%.7.bin
del 3B42_%shortfilename1%r180.mp*
del trmm_day3B42_%shortfilename1%.mp*
del tttrmm_%shortfilename1%.mp*
del strmm_%shortfilename1%.mp*
del ttrmm_%shortfilename1%1.mp*
del strmm_%shortfilename1%.grf
del east.mp*
del west.mp*



:END
"%IlwDir%\ilwis.exe" -C closeall