@echo off
echo Extract FEWS PET global daily coverage in mm per day
echo File contains the daily PET data  
echo File name format et110101.tar.gz
echo Output is for a single day
echo.
echo. 

set longfilename=%1
set shortfilename1=%longfilename:~0,8%
set shortfilename2=%longfilename:~2,6%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" http://earlywarning.usgs.gov/ftp2/bulkdailydata/global/pet/days/et%shortfilename2%.tar.gz


echo off
if not exist "%OutputDrive%\%OutputDir%\et%shortfilename2%.tar.gz"  goto MESSAGE
echo The file(s) "et%shortfilename2%.tar.gz" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from http://earlywarning.usgs.gov/ftp2/bulkdailydata/global/pet/days/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


"%UtilDir%\7z.exe" e et%shortfilename2%.tar.gz 
"%UtilDir%\7z.exe" e et%shortfilename2%.tar

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tet%shortfilename2%:=map('%OutputDrive%\%OutputDir%\et%shortfilename2%.bil',genras,Convert,360,0,Int,2,SwapBytes)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ttet%shortfilename2%.mpr:=MapSubMap(%OutputDrive%\%OutputDir%\tet%shortfilename2%,2,1,180,360)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\pet_%shortfilename1%:=%OutputDrive%\%OutputDir%\ttet%shortfilename2%*0.01
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\pet_%shortfilename1%.mpr %UtilDir%\fews_pet1d

del %OutputDrive%\%OutputDir%\tet%shortfilename2%.mp*
del %OutputDrive%\%OutputDir%\ttet%shortfilename2%.mp*


del et%shortfilename2%.tar
del et%shortfilename2%.tar.gz 
del et%shortfilename2%.bil
del et%shortfilename2%.blw
del et%shortfilename2%.hdr
del et%shortfilename2%.stx

:END
"%IlwDir%\ilwis.exe" -C closeall