@echo off
echo Extract GLDAS-NOAH 3-hour data for full day 
echo Archive from 2000 day of the year 055 up to 4 months before present
echo GRIB data converted to ILWIS format
echo Total of 28 parameters extracted per time step
echo File name format GLDAS_NOAH025SUBP_3H.A2000055.0000.001.2008084163051.grb
echo Example is for 0 UTC, year 2000 and day of year 055
echo Data retrieved from ftp://hydro1.sci.gsfc.nasa.gov/data/s4pa/GLDAS_V1/GLDAS_NOAH025SUBP_3H
echo Data resides under year and julian day sub-directories
echo 8 files are downloaded and contain 3 hr time step
echo Time stamp expected yyyyjjj 
echo.
echo.
 
set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~4,3%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" ftp://hydro1.sci.gsfc.nasa.gov/data/s4pa/GLDAS_V1/GLDAS_NOAH025SUBP_3H/%shortfilename1%/%shortfilename2%/GLDAS_NOAH025SUBP_3H.A%shortfilename1%%shortfilename2%.??00.001.?????????????.grb


echo off
if not exist %OutputDrive%\%OutputDir%\"GLDAS_NOAH025SUBP_3H.A%shortfilename1%%shortfilename2%.??00.001.?????????????.grb"  goto MESSAGE
echo All the 8 "GLDAS_NOAH025SUBP_3H grib" files have been retrieved to your current working directory
echo.
echo.


GOTO START

:MESSAGE
echo The input files are not found.
echo Check your directory and date stamp settings, note the day of the year stamp
echo Your current date stamp used is %shortfilename1%%shortfilename2%
echo Check also if the data exists on your input directory - archive 


pause

GOTO END

:START

echo set OutputDrive=%4>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
echo set GdalDir=%6>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat


dir GLDAS_NOAH025SUBP_3H.A%shortfilename1%%shortfilename2%.??00.001.?????????????.grb >ch.txt
findstr /R /N "^" ch.txt | find /C ":" >ch1.txt

setLocal EnableDelayedExpansion
for /f "tokens=* delims= " %%a in (ch1.txt) do (
if !check_var!'==' set check_var=%%a
)

rem the file ch.txt consits of 8 lines with filenames and 7 other lines

if %check_var% NEQ 15 GOTO MESSAGE1
if %check_var% EQU 15 GOTO START1


:MESSAGE1
echo.
echo.
echo Not all required input files could be retrieved
echo Ensure that 8 "GLDAS_NOAH025SUBP_3H.A%shortfilename1%%shortfilename2%.??00.001.?????????????.grb" are available
echo Check your working directory for the missing files
echo.
echo.

GOTO END

:START1

ren GLDAS_NOAH025SUBP_3H.A%shortfilename1%%shortfilename2%.0000.001.?????????????.grb GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_00.grb
ren GLDAS_NOAH025SUBP_3H.A%shortfilename1%%shortfilename2%.0300.001.?????????????.grb GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_03.grb
ren GLDAS_NOAH025SUBP_3H.A%shortfilename1%%shortfilename2%.0600.001.?????????????.grb GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_06.grb
ren GLDAS_NOAH025SUBP_3H.A%shortfilename1%%shortfilename2%.0900.001.?????????????.grb GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_09.grb
ren GLDAS_NOAH025SUBP_3H.A%shortfilename1%%shortfilename2%.1200.001.?????????????.grb GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_12.grb
ren GLDAS_NOAH025SUBP_3H.A%shortfilename1%%shortfilename2%.1500.001.?????????????.grb GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_15.grb
ren GLDAS_NOAH025SUBP_3H.A%shortfilename1%%shortfilename2%.1800.001.?????????????.grb GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_18.grb
ren GLDAS_NOAH025SUBP_3H.A%shortfilename1%%shortfilename2%.2100.001.?????????????.grb GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_21.grb


copy "%IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\gldas_noah_loop.bat"

for %%j in (GLDAS_NOAH025SUBP_3H_A*) do cmd /c gldas_noah_loop.bat %%j

rem delete remaining obsolete objects
rem initial grib file not deleted as it is used for extraction of meta data

del %OutputDrive%\%OutputDir%\ch1.txt
del %OutputDrive%\%OutputDir%\ch.txt
del %OutputDrive%\%OutputDir%\inputparam.bat
del %OutputDrive%\%OutputDir%\gldas_noah_loop.bat


:END
"%IlwDir%\ilwis.exe" -C closeall